<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml"
                xmlns:c="http://java.sun.com/jsp/jstl/core">
    <ui:define name="body">
        <h:form id="globalform" styleClass="form-horizontal">
            <s:token allowMultiplePosts="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{assertionManager.filter.filterUrlParameters}"/>
            <script>
                jq162(function () {
                    jq162('[data-toggle="popover"]').popover({html: true})
                });
                updateUrl("globalform:filterUrlParameters");
                $("#globalform\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalform:filterUrlParameters");
                        });









            </script>
            <ui:decorate template="/layout/panels/_panel_filter_criteria_footer.xhtml">
                <ui:param name="sub_title"
                          value="#{assertionManager.assertions.size()} #{messages['net.ihe.gazelle.assertion-manager.AssertionsFoundForThisSearch']}"/>

                <div class="row">
                    <div class="col-md-4">
                        <ui:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">#{messages['net.ihe.gazelle.assertion-manager.Assertion']}
                            </ui:define>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:decorate
                                            template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                        <ui:param name="id" value="scopeSelect"/>
                                        <ui:define name="label">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.assertion-manager.Scope']}"/>
                                        </ui:define>
                                        <span class="gzl-never-wrap">
                                            <h:selectOneMenu id="scopeSelect" styleClass="form-control gzl-select-text"
                                                             style="width: 90%;display: initial;"
                                                             value="#{assertionManager.filter.selectedScopeForFilter}">
                                                <s:selectItems var="scopeAvailable" label="#{scopeAvailable}"
                                                               value="#{assertionScopeManager.getScopeNames()}"
                                                               noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                                                <a4j:ajax event="change" execute="@this" render="globalform"/>
                                            </h:selectOneMenu>
                                            <a4j:commandLink event="click"
                                                             actionListener="#{assertionManager.filter.resetSelectedScopeForFilter()}"
                                                             render="globalform" execute="@this">
                                                <span class="gzl-icon-times"/>
                                            </a4j:commandLink>
                                        </span>
                                    </ui:decorate>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="idScheme"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.IdScheme']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="assertionId"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.AssertionId']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>

                            <div class="row">

                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="status"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.Status']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">

                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="prescriptionLevel"/>
                                        <ui:param name="filterName"
                                                  value="Prescription level"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:decorate
                                            template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                        <ui:param name="id" value="documentSelect"/>
                                        <ui:define name="label">
                                            #{messages['net.ihe.gazelle.assertion-manager.Document']}
                                        </ui:define>
                                        <span class="gzl-never-wrap">
                                            <h:selectOneMenu id="documentSelect" style="width: 90%;display: initial;"
                                                             styleClass="form-control gzl-select-text"
                                                             value="#{assertionManager.filter.selectedDocumentForFilter}">
                                                <f:selectItem itemValue="#{null}"
                                                              itemLabel="#{messages['gazelle.common.button.ShowAll']}"
                                                              noSelectionOption="true"/>
                                                <f:selectItems value="#{assertionManager.getDocuments()}"
                                                               var="document" itemLabel="#{document.name}"
                                                               itemValue="#{document.id}"/>
                                                <a4j:ajax event="change" execute="@this"
                                                          render="globalform"/>
                                            </h:selectOneMenu>
                                            <a4j:commandLink event="click"
                                                             actionListener="#{assertionManager.filter.resetSelectedDocumentForFilter()}"
                                                             render="globalform" execute="@this">
                                                <span class="gzl-icon-times"/>
                                            </a4j:commandLink>
                                        </span>
                                    </ui:decorate>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="testable"/>
                                        <ui:param name="filterName"
                                                  value="Testable"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                        </ui:decorate>
                    </div>
                    <div class="col-md-4">
                        <ui:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">#{messages['net.ihe.gazelle.assertion-manager.AppliesTo']}
                            </ui:define>
                            <div class="row">
                                <div class="col-lg-12">
                                    <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.AppliedTo']}"
                                                  style="color: grey;font-weight: bold;"/>
                                    <s:div>
                                        <h:selectManyCheckbox styleClass="filter-checkboxes"
                                                              value="#{assertionManager.filter.appliedCheckboxes}">
                                            <f:selectItems
                                                    value="#{assertionManager.filter.appliedCheckboxesValue}"/>
                                            <a4j:ajax event="change" execute="@this" render="globalform"/>
                                        </h:selectManyCheckbox>
                                    </s:div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <h:outputText
                                            value="#{messages['net.ihe.gazelle.assertion-manager.NotAppliedTo']}"
                                            style="color: grey;font-weight: bold;"/>
                                    <s:div>
                                        <h:selectManyCheckbox styleClass="filter-checkboxes"
                                                              value="#{assertionManager.filter.notAppliedCheckboxes}">
                                            <f:selectItems
                                                    value="#{assertionManager.filter.notAppliedCheckboxesValue}"/>
                                            <a4j:ajax event="change" execute="@this" render="globalform"/>
                                        </h:selectManyCheckbox>
                                    </s:div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="actor"/>
                                        <ui:param name="filterName" value="#{messages['gazelle.simulator.Actor']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="aipo"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.Aipo']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="auditMessage"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.AuditMessage']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="integrationProfile"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.IntegrationProfile']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">

                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="standard"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.Standard_2']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="transaction"/>
                                        <ui:param name="filterName" value="#{messages['gazelle.simu.Transaction']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                        </ui:decorate>
                    </div>
                    <div class="col-md-4">
                        <ui:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">#{messages['net.ihe.gazelle.assertion-manager.Coverage']}
                            </ui:define>
                            <div class="row">
                                <div class="col-lg-12">
                                    <h:outputText value="#{messages['net.ihe.gazelle.tm.CoveredBy']}"
                                                  style="color: grey;font-weight: bold;"/>
                                    <s:div>
                                        <h:selectManyCheckbox styleClass="filter-checkboxes"
                                                              value="#{assertionManager.filter.coveredCheckboxes}">
                                            <f:selectItems
                                                    value="#{assertionManager.filter.coveredCheckboxesValue}"/>
                                            <a4j:ajax event="change" execute="@this" render="globalform"/>
                                        </h:selectManyCheckbox>
                                    </s:div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <h:outputText
                                            value="#{messages['net.ihe.gazelle.tm.NotCoveredBy']}"
                                            style="color: grey;font-weight: bold;"/>
                                    <s:div>
                                        <h:selectManyCheckbox styleClass="filter-checkboxes"
                                                              value="#{assertionManager.filter.notCoveredCheckboxes}">
                                            <f:selectItems
                                                    value="#{assertionManager.filter.notCoveredCheckboxesValue}"/>
                                            <a4j:ajax event="change" execute="@this" render="globalform"/>
                                        </h:selectManyCheckbox>
                                    </s:div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="rule"/>
                                        <ui:param name="filterName"
                                                  value="Rule"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="test"/>
                                        <ui:param name="filterName"
                                                  value="Tests"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{assertionManager.filter}"/>
                                        <ui:param name="filterId" value="mbvService"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.MbvService_2']}"/>
                                        <ui:param name="filterForm" value="globalform"/>
                                    </ui:include>
                                </div>
                            </div>
                        </ui:decorate>
                    </div>
                </div>
                <ui:define name="panel_footer">
                    <h:outputLink value="new.seam" rendered="#{s:hasRole('admin_role')}" styleClass="gzl-btn-green">
                        <f:param name="new" value="1"/>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.assertion-manager.AddAnAssertion']}"/>
                    </h:outputLink>

                    <a4j:commandLink value="Update deprecated coverage"
                                     rendered="#{s:hasRole('admin_role')}"
                                     actionListener="#{testLinkManager.refreshAssertionsLink()}"
                                     styleClass="gzl-btn"/>
                </ui:define>

                <ui:define name="filter_buttons">
                    <h:outputLink
                            title="#{messages['net.ihe.gazelle.assertion-manager.Review']}"
                            value="#{request.contextPath}/idSchemes/review.seam?#{assertionManager.filter.filterUrlParameters}">
                        <h:outputText
                                value="Review filtered assertions"/>
                    </h:outputLink>

                    <a4j:commandLink title="#{messages['net.ihe.gazelle.assertion-manager.ResetFilter']}"
                                     actionListener="#{assertionManager.filter.clearFilter()}"
                                     render="globalform">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>

                </ui:define>
            </ui:decorate>

            <rich:dataTable rows="20" id="assertion" var="assertion" rowKeyVar="rowId"
                            value="#{assertionManager.assertions}">

                <g:column sortBy="#{'target.idScheme'}" sortOrder="ascending">
                    <ui:define name="header">#{messages['net.ihe.gazelle.IdScheme']}</ui:define>
                    <h:outputLink
                            title="#{messages['net.ihe.gazelle.assertion-manager.ViewIdScheme']} #{assertion.target.idScheme}"
                            value="#{request.contextPath}/idSchemes/index.seam">
                        <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                        <h:outputText value="#{assertion.target.idScheme}"/>
                    </h:outputLink>
                </g:column>

                <g:column sortBy="#{'assertionId'}" sortOrder="ascending">
                    <ui:define name="header">#{messages['net.ihe.gazelle.AssertionId']}</ui:define>
                    <h:outputLink
                            title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertion']} #{assertion.assertionId}"
                            value="#{request.contextPath}/assertions/show.seam">
                        <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                        <f:param name="assertionId" value="#{assertion.assertionId}"/>
                        <h:outputText value="#{assertion.assertionId}"/>
                    </h:outputLink>
                </g:column>

                <g:column sortBy="#{'status'}" sortOrder="ascending">
                    <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.Status']}</ui:define>
                    <h:outputText value="#{assertion.status.getFriendlyName()}" rendered="#{!identity.loggedIn}"/>
                    <s:span rendered="#{identity.loggedIn}">
                        <h:selectOneMenu id="statusListBox" styleClass="form-control gzl-form-control"
                                         style="width: auto;"
                                         value="#{assertion.status}"
                                         requiredMessage="Please select">
                            <f:selectItem itemValue="#{null}"
                                          itemLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                            <f:selectItems value="#{assertionManager.getAssertionStatus()}"/>
                            <a4j:ajax event="change"
                                      listener="#{assertionManager.saveAssertion(assertion)}"
                                      execute="@this"/>
                        </h:selectOneMenu>
                    </s:span>
                </g:column>
                <g:column sortBy="#{'testable'}" sortOrder="ascending">
                    <ui:define name="header">Testable?</ui:define>

                    <ui:include src="/assertions/_testable_label.xhtml">
                        <ui:param name="assertion" value="#{assertion}"/>
                        <ui:param name="style" value="line-height: 2;"/>
                    </ui:include>
                </g:column>

                <g:column id="coverage" sortBy="#{'coverageCount'}">
                    <ui:define name="header">##{messages['net.ihe.gazelle.assertion-manager.Coverage']}</ui:define>
                    <a tabindex="#{assertion.getId()}" type="button" data-toggle="popover" data-trigger="focus"
                       title="Covered by:"
                       data-content="Tests: #{assertion.getNotDeprecatedTests().size()} &lt;br/&gt;Test Steps: #{assertion.getNotDeprecatedTestSteps().size()} &lt;br/&gt;Rules:  #{assertion.getNotDeprecatedRules().size()} &lt;br/&gt;MBV:  #{assertion.getMbvCount()}">
                        <h:outputText
                                value="#{assertion.getNotDeprecatedTests().size() + assertion.getNotDeprecatedTestSteps().size() + assertion.getNotDeprecatedRules().size() + assertion.getMbvCount()}"/>
                    </a>
                </g:column>
                <g:column id="appliesTo" sortBy="#{'appliesToCount'}">
                    <ui:define name="header">##{messages['net.ihe.gazelle.assertion-manager.AppliesTo']}</ui:define>
                    <a tabindex="#{assertion.getId()}" type="button" data-toggle="popover" data-trigger="focus"
                       title="Applies to:"
                       data-content="Audit Messages: #{assertion.getTfAuditMessagesSize()} &lt;br/&gt;Actors: #{assertion.getTfActorsSize()} &lt;br/&gt;AIPOs:  #{assertion.getTfAipoSize()} &lt;br/&gt;Integration profile:  #{assertion.getTfIntegrationProfilesSize()}&lt;br/&gt;Strandard:  #{assertion.getTfStandardsSize()}&lt;br/&gt;Transaction:#{assertion.getTfTransactionSize()}&lt;br/&gt;">
                        <h:outputText value="#{assertion.appliesToCount}"/>
                    </a>
                </g:column>
                <g:column id="comment">
                    <ui:define name="header">#{messages['gazelle.simulator.Comment']}</ui:define>
                    <h:outputText value="#{assertion.comment}"/>
                </g:column>
                <g:column id="assertion">
                    <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.Predicate']}</ui:define>
                    <h:outputText value="#{assertion.predicate.content}"/>
                </g:column>
                <g:column id="page" sortBy="#{'pageNumber'}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.Page']}</ui:define>
                    <h:outputText value="#{assertion.pageNumber}"/>
                </g:column>
                <g:column id="page" sortBy="#{'otherTagOnAssertion'}">
                    <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.Tags']}</ui:define>
                    <g:safehtml value="#{assertion.otherTagOnAssertion}"/>
                </g:column>
                <g:column id="changes" sortBy="#{'lastChanged'}"
                          style="color: grey;">
                    <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.LastChanged']}</ui:define>
                    <g:date tooltip="true" value="#{assertion.lastChanged}"/>
                    <h:outputText
                            value=" #{messages['net.ihe.gazelle.assertion-manager.By']} #{assertionManager.getUserName(assertion.lastModifierId)}"/>
                </g:column>
                <g:column id="actionsColumn">
                    <ui:define name="header">#{messages['net.ihe.gazelle.Actions']}</ui:define>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertion']} #{assertion.assertionId}"
                                value="#{request.contextPath}/assertions/show.seam">
                            <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                            <f:param name="assertionId" value="#{assertion.assertionId}"/>
                            <span class="gzl-icon-search"/>
                        </h:outputLink>
                        <!--<h:outputLink-->
                        <!--title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertion']} #{assertion.assertionId}"-->
                        <!--value="#{request.contextPath}/assertions/review.seam?rowKey=#{rowId}&amp;#{assertionManager.filter.filterUrlParameters}">-->
                        <!--</h:outputLink>-->
                        <h:outputLink title="#{messages['users.Edit']}" value="edit.seam"
                                      rendered="#{s:hasRole('admin_role')}">
                            <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                            <f:param name="assertionId" value="#{assertion.assertionId}"/>
                            <f:param name="backTo" value="-1"/>
                            <span class="gzl-icon-pencil"/>
                        </h:outputLink>
                        <h:outputLink id="linkAssertion_" target="_blank" rendered="#{s:hasRole('admin_role')}"
                                      title="#{messages['net.ihe.gazelle.assertion-manager.ViewXml']}"
                                      value="#{preferencesManager.getAssertionRestPath(request.contextPath)}">
                            <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                            <f:param name="assertionId" value="#{assertion.assertionId}"/>
                            <f:param name="format" value="xml"/>
                            <span class="gzl-icon-xml"/>
                        </h:outputLink>
                        <h:panelGroup rendered="#{assertion.pointsToPdf()}">
                            <h:outputLink
                                    title="#{messages['net.ihe.gazelle.assertion-manager.ViewPdfDocument']}"
                                    value="#{request.contextPath}/rest/testAssertion/assertion/documentSection/open"
                                    target="spec">
                                <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                                <f:param name="assertionId" value="#{assertion.assertionId}"/>
                                <span class="gzl-icon-pdf"/>
                            </h:outputLink>
                        </h:panelGroup>
                        <h:panelGroup rendered="#{!assertion.pointsToPdf()}">
                            <h:outputLink
                                    title="View resource attached"
                                    value="#{assertion.getUri()}">
                                <span class="fa fa-download"/>
                            </h:outputLink>
                        </h:panelGroup>
                        <a4j:commandLink event="click"
                                         rendered="#{s:hasRole('admin_role')}"
                                         title="#{messages['users.Delete']}"
                                         oncomplete="jq162('#DeleteConfirmationModalPanel').modal('show');"
                                         render="DeleteAssertionConfirmationModalPanel,deleteAssertionForm,globalform"
                                         actionListener="#{assertionManager.setAssertionToDelete(assertion)}">
                            <span class="gzl-icon-trash-o"/>
                        </a4j:commandLink>
                    </div>
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="assertion"/>
                        <ui:param name="hideRowsSelect" value="true"/>
                        <ui:param name="maxPages" value="5"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
            <a4j:commandLink event="click"
                           rendered="#{identity.loggedIn}"
                           value="#{messages['net.ihe.gazelle.assertion-manager.ExportAsExcelToFix']}"
                           oncomplete="jq162('#ExportConfirmationModalPanel').modal('show');"
                           render="ExportConfirmationModalPanel,exportAssertionForm,globalform"
                           />
        </h:form>

        <h:form id="deleteAssertionForm">
            <s:token allowMultiplePosts="true"/>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="DeleteConfirmationModalPanel"/>
                <ui:define name="popup_title">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.ConfirmDelete']}"/>
                </ui:define>
                <h:outputText id="currentAssertion_DeleteOutputText"
                              value="#{messages['net.ihe.gazelle.assertion-manager.DoYouReallyWantToDeleteThisAssertion']} #{assertionManager.getAssertionToDelete().getAssertionId()}?"/>


                <ui:define name="popup_footer">
                    <h:commandButton value="#{messages['users.Cancel']}"
                                     styleClass="gzl-btn"
                                     onclick="jq162('#DeleteConfirmationModalPanel').modal('hide');"/>
                    <h:commandButton value="#{messages['users.Delete']}" action="#{assertionManager.delete()}"
                                     styleClass="gzl-btn-red"
                                     onclick="jq162('#DeleteConfirmationModalPanel').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
        <h:form id="exportAssertionForm">
            <s:token allowMultiplePosts="true"/>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="ExportConfirmationModalPanel"/>
                <ui:define name="popup_title">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.tm.ConfirmExportMessage']}"/>
                </ui:define>



                <c:choose>
                    <c:when test="#{gazelleAssertionsExporter.isExportable(assertionManager.assertions.size())}">
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.ExportMayCauseATimeoutDueToTheLargeAmountOfData']}" />
                    </c:when>
                    <c:otherwise>
                        <h:outputText value="#{messages['net.ihe.gazelle.tm.DoYouReallyWantToExportThisAssertion']}" />
                    </c:otherwise>FR
                </c:choose>
                <div class="panel-footer ">
                    <h:commandButton value="#{messages['gazelle.simu.Confirm']}" action="#{gazelleAssertionsExporter.export('globalform:assertion','assertions')}"
                                     styleClass="gzl-btn"
                                     onclick="jq162('#ExportConfirmationModalPanel').modal('hide');"/>

                    <h:commandButton value="#{messages['users.Cancel']}"
                                     styleClass="gzl-btn-red"
                                     onclick="jq162('#ExportConfirmationModalPanel').modal('hide');"/>
                </div>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
